Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355836 - i3lock doesn't accept password if fingerprint login is enabled
Summary: i3lock doesn't accept password if fingerprint login is enabled
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: i3lock
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 16:54 UTC by Till Hofmann
Modified: 2017-08-08 15:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:32:47 UTC


Attachments (Terms of Use)

Description Till Hofmann 2016-07-12 16:54:24 UTC
Description of problem:
I have fingerprint login enabled in the Gnome settings. i3lock properly accepts my fingerprint to disable the lockscreen. However, it doesn't accept my password anymore. Additionally, it only accepts my fingerprint after I typed in any (i.e. possibly incorrect) password and pressed enter.

Version-Release number of selected component (if applicable):
2.8-1.fc24

How reproducible:
It looks like this is hardware independent and should be always reproducible.

Steps to Reproduce:
1. Log in to Gnome and enable Fingerprint login
2. Log out
3. Log in to i3
4. Start i3lock
5. Try to unlock using your fingerprint reader by swiping your finger.
6. Try to unlock using the password: Type a password and type enter. If you have a fingerprint reader with an indicator, it will start flashing.
7. Swipe your finger again

Actual results:
Nothing happens after step 5. After step 6, it says 'Verifying' but nothing else happens, the screen is not unlocked. Only after swiping your finger again (step 7) the screen is unlocked. Additionally, it does not matter if the provided password is correct or not. This suggests that only the fingerprint is used to verify; the password is ignored.

Expected results:
The screen should be unlocked without swiping the finger.

Additional info:
I'm using both i3 and Gnome and I use GDM as display manager.

Comment 1 Fedora End Of Life 2017-07-25 21:45:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 15:32:47 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.